Bug 248715 - Remove use of IP address as basis for SCSI reservation keys
Remove use of IP address as basis for SCSI reservation keys
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
ia64 Linux
high Severity low
: ---
: ---
Assigned To: Ryan O'Hara
Cluster QE
: 249356 (view as bug list)
Depends On:
Blocks: 360681
  Show dependency treegraph
Reported: 2007-07-18 09:02 EDT by Justin Nemmers
Modified: 2009-04-16 18:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Nemmers 2007-07-18 09:02:38 EDT
Description of problem:
Use of persistent scsi reservations requires the starting of a service-- /etc/init.d/scsi_reserve 
(provided by cman), but this script requires gethostip, which is typically provided by syslinux.  The 
syslinux package is not provided on Itanium.

Version-Release number of selected component (if applicable):
RHEL 5.0, cman-2.0.64-1.el5

How reproducible:
Install cluster suite on Itanium.
Attempt to configure scsi reservations for fencing.

Steps to Reproduce:
1.  attempt to start /etc/init.d/scsi_reserve on itanium system
Actual results:
/etc/init.d/scsi_reserve fails because it cannot find gethostip command, which is provided by syslinux 

Expected results:
persistent scsi reservations work as a fence device in cluster suite on RHEL 5

Additional info:
Comment 1 Ryan O'Hara 2007-07-24 15:02:21 EDT
*** Bug 249356 has been marked as a duplicate of this bug. ***
Comment 2 Ryan O'Hara 2007-07-24 15:11:54 EDT
We should remove the use of gethostip completely, thus removing the need for
syslinux package.

The trick is finding a logical way to get a unique key for all the nodes in the
cluster to use for reservations. The gethostip tool was useful because it gave a
hex representation of the ip address, which is perfect. A possible replacement
would be the nodeid, which means that nodeid would be required. This isn't an
issue for RHEL5 (since nodeid is required anyway), but we'll have to explicitly
state that nodeid's must be defined in cluster.conf for RHEL4 (4.5+) clusters
that use fence_scsi. This is already required for qdisk so its nothing new.

Comment 4 Kiersten (Kerri) Anderson 2007-09-19 12:54:13 EDT
Sorry, this is a rhel5 bug - adding to 5.2 list.
Comment 5 RHEL Product and Program Management 2007-10-15 23:54:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 Ryan O'Hara 2007-11-08 12:02:17 EST
Changing the title of this bug to more accurately reflect the problem.
Comment 8 Ryan O'Hara 2007-11-08 12:05:41 EST
Fixed. Completely removed use of IP address as basis for SCSI reservation keys,
since this was causing problems. Instead, the SCSI reservation keys are now
based on the cluster ID and node ID. Specifically, the high 16-bits of the key
will be hex value of the cluster ID and the low 16-bits will be hex value of the
node ID.

Both the scsi_reserve init script and fence_scsi agent were modified for this

Please note that this fix break compatability with older versions of fence_scsi,
since the new code will not recognize the old key format.
Comment 12 errata-xmlrpc 2008-05-21 11:43:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.